Skip to content

Create User

Request

When an end-user starts a conversation in the Fin Messenger and there is no information about them in the third party we request a new record be created.

Security
BearerAuth
Bodyapplication/json
namestring or null

User's name (may not be known at creation time)

Example:"Jane Doe"
emailstring or null, (email)

User's email (may not be known at creation time)

Example:"jane.doe@example.com"
object_idstring

Unique identifier for the user in our system

Example:"123456"
attributesobject or null(CustomAttributes)

Attributes associated with the end-user

Example:
{ "plan_type": "enterprise", "signup_date": "2024-01-15", "is_premium": true }
POST
/create_user
curl -i -X POST \
  https://helpdesk.example.com/api/fin/create_user \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "Jane Doe",
    "email": "jane.doe@example.com",
    "object_id": "123456",
    "attributes": {
      "plan_type": "enterprise",
      "signup_date": "2024-01-15",
      "is_premium": true
    }
  }'

Responses

End-user created successfully

Bodyapplication/json
idstringrequired

Unique identifier for the user in your system

Example:"user_123456"
user_typestringrequired

Type of user

Value:"end_user"
namestring or null

User's display name

Example:"Jane Doe"
emailstring or null, (email)

User's email address

Example:"jane.doe@example.com"
photo_urlstring or null, (uri)

URL to user's avatar/profile picture (displayed in Fin Messenger)

Example:"https://example.com/avatars/jane.jpg"
attributesobject or null(CustomAttributes)

Attributes associated with the end-user

Example:
{ "plan_type": "enterprise", "signup_date": "2024-01-15", "is_premium": true }
Response
{ "data": { "id": "user_123456", "name": "Jane Doe", "email": "jane.doe@example.com", "photo_url": "https://example.com/avatars/jane.jpg", "user_type": "end_user", "attributes": { … } } }